Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451656 - IPA is built without using %{optflags}
Summary: IPA is built without using %{optflags}
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ipa
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Rob Crittenden
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-16 14:27 UTC by Martin Nagy
Modified: 2016-07-26 23:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-10 01:47:44 UTC


Attachments (Terms of Use)
Patch for spec (deleted)
2008-06-23 16:02 UTC, Martin Nagy
no flags Details | Diff

Description Martin Nagy 2008-06-16 14:27:51 UTC
Description of problem:
IPA is built without using %{optflags}, this is against the fedora packaging
guidelines and causes the .c files being built without fortify source which
helps increasing the security.

Version-Release number of selected component (if applicable):

How reproducible:
see the ipa.spec file

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Give me a minute and I'll make a patch.

Comment 1 Martin Nagy 2008-06-23 16:02:55 UTC
Created attachment 310039 [details]
Patch for spec

Adds %{optflags} switches to CFLAGS and CPPFLAGS

Comment 2 Bug Zapper 2009-06-10 01:38:55 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Rob Crittenden 2009-06-10 01:47:44 UTC
This patch was applied at some point, not sure when. It is there now in all ipa builds, closing.


Note You need to log in before you can comment on or make changes to this bug.